import { select, csv } from 'd3';
import { barplot } from './barplot';

// const csvUrl = [
//   'https://raw.githubusercontent.com/',
//   'holtzy/data_to_viz/',
//   'master/Example_dataset/',
//   '7_OneCatOneNum_header.csv',
// ].join('');

// const parseRow = (data) => {
//   const d = {};
//   d.value = +data.Value;
//   d.country = data.Country;
//   return d;
// };

const svg = select('body')
  .append('svg')
  .attr('width', innerWidth)
  .attr('height', innerHeight);

const main = () => {
  // const data = await csv(csvUrl, parseRow);
  
  const dataset = [
    {
    	label: "Nitrogen",
      value: [10, 20, 30, 40]
    },
    {
    	label: "Oxygen",
      value: [3, 5, 9, 15]
    }
  ];
  
  const dataset2 = [
    {
      label: 'Nitrogen',
      value: 10,
      value2: 20,
      value3: 50,
      value10: 100
    },
    {
      label: 'Oxygen',
      value: 100,
      value2: 200,
      value3: 500,
      value10: 1000
    },
  ];
  
  const options = {
   	width: innerWidth,
    height: innerHeight,
    margin: {
      top: 20,
      right: 20,
      bottom: 50,
      left: 50,
    },
    xKey: 'label',
    yKey: ['value', 'value', 'value']
  }
  
  const plot2 = barplot()
  	.options(config)
  	.data(dataset)

  const plot = barplot()
  	.options(options)
  	.labels(['banana', 'poacee', 'sorgho', 'triticum']) // X-axis
  	.dataset(dataset)

  svg.call(plot); // pass selection to the barplot
};

main();
